package io.renren.modules.admin.employee.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import javafx.scene.control.Pagination;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.admin.employee.dao.EmployeeDao;
import io.renren.modules.admin.employee.entity.EmployeeEntity;
import io.renren.modules.admin.employee.service.EmployeeService;


@Service("employeeService")
public class EmployeeServiceImpl extends ServiceImpl<EmployeeDao, EmployeeEntity> implements EmployeeService {
    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        String key = (String) params.get("key");
        IPage<EmployeeEntity> page = this.page(
                new Query<EmployeeEntity>().getPage(params),
                new QueryWrapper<EmployeeEntity>()
                .like(StringUtils.isNotBlank(key),"username",key)
                        .or()
                .like(StringUtils.isNotBlank(key),"truename",key)
        );

        return new PageUtils(page);
    }

    @Override
    public List<EmployeeEntity> findAllByisDel(int isDel) {
        return  baseMapper.findAllByisDel(isDel);
    }

    @Override
    public boolean updatePasswordByid(Long id) {
        return baseMapper.updatePasswordByid(id);
    }

    @Override
    public boolean delete(Long id) {
        return baseMapper.delete(id);
    }

    @Override
    public PageUtils queryList(int page, int limit, String key) {
        System.out.println(page);
        System.out.println(limit);
        System.out.println(key);
        List<Map<String, Object>> mList = baseMapper.queryListBykey(page, limit, key, key);
       int total = baseMapper.queryTotalCount(key, key);


        return new PageUtils(mList,total,limit,page);
    }

//    @Override
//    public IPage<EmployeeEntity> selectMyPage(Page page, Wrapper<EmployeeEntity> queryWrapper) {
//        return baseMapper.selectMyPage(page,queryWrapper);
//    }
}